# Get a customer by reference Id `GET https://api.leapa.co/v2/customers/reference/{reference_id}` Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `reference_id` · _string_ · **required** Example: `ref_9f2a17c4` ## Response 200 - `id` · _string_ — Customer Unique ID - `object` · _string_ — Customer - Object Returned - `email` · _string_ — Customer email - `address` · _AddressResponse_ - `object` · _string_ — Object name - `city` · _string_ — City - `type` · _string_ — The type of address. Can be Business location address or Bank Address Allowed values: `personal`, `business` - `status` · _string_ — Address status - invalid, line1_fail, line1_pass, line1_zip_pass, unchecked, verified, zip_fail, zip_pass Allowed values: `invalid`, `line1_pass`, `line1_name_pass`, `line1_zip_pass`, `name_pass`, `name_zip_pass`, `unchecked`, `verified`, `zip_pass` - `state` · _string_ — State - `zip` · _string_ — Zip - `line1` · _string_ — Line 1 - `line2` · _string_ — Line 2 - `status` · _string_ — Customer Status Allowed values: `active`, `deactivate`, `deleted` - `first_name` · _string_ — Customer firstname - `last_name` · _string_ — Customer lastname - `birth_date` · _string_ — Customer birthdate - `phone_number` · _string_ — Customer phone number - `merchant_name` · _string_ — Merchant name associated to this Customer - `merchant_id` · _string_ — Merchant ID associated to this Customer - `sources` · _array of AccountCustomerSourceReferenceResponse_ — List of all Account Reference source of the customer - `fingerprint` · _string_ — Unique identifier of the card. Two accountId with the same fingerprint is the same card - `currency` · _string_ — Currency Code. Allowed values: `BIF`, `USD`, `KES`, `XAF` - `type` · _string_ — Account Type Allowed values: `bank`, `balance`, `card`, `fees`, `mobile`, `wallet`, `cash`, `ips` - `account_id` · _string_ — Account Id of the customer - `default` · _boolean_ — Flag indicating whether it is a default card or not. - `destinations` · _array of AccountCustomerDestinationReferenceResponse_ — List of all Account Reference destination of the customer - `currency` · _string_ — Currency Code. Allowed values: `BIF`, `USD`, `KES`, `XAF` - `type` · _string_ — Account Type Allowed values: `bank`, `balance`, `card`, `fees`, `mobile`, `wallet`, `cash`, `ips` - `account_id` · _string_ — Account Id of the customer - `default_destination` · _boolean_ - `live` · _boolean_ — Whether the object exist in live or test mode. - `reference_id` · _string_ — Reference Id ```json { "id": "obj_5f21c8a40b", "object": "string", "email": "jeanne@example.com", "address": { "object": "string", "city": "string", "type": "personal", "status": "invalid", "state": "string", "zip": "string", "line1": "string", "line2": "string" }, "status": "active", "first_name": "Jeanne", "last_name": "Ndayishimiye", "birth_date": "2026-01-31", "phone_number": "+25779123456", "merchant_name": "Jeanne Ndayishimiye", "merchant_id": "mer_1b47d0e9ca", "sources": [ { "fingerprint": "string", "currency": "BIF", "type": "bank", "account_id": "acc_62f3a8d15b", "default": false } ], "destinations": [ { "currency": "BIF", "type": "bank", "account_id": "acc_62f3a8d15b", "default_destination": false } ], "live": false, "reference_id": "ref_9f2a17c4" } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/customers/reference/ref_9f2a17c4" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._